[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TListItems.DefineProperties

Defines read and write routines used for binary Data in the list items for the container.

## Declaration

Source position: comctrls.pp line 1154

`protected procedure TListItems.DefineProperties(`
`Filer: TFiler`
`); override;`

## Description

DefineProperties is an overridden method in TListItems. It implements the virtual method defined in TPersistent. DefineProperties associates property names with the read and write routines used during LCL component streaming.

In TListItems, DefineProperties identifies the private methods used to read and write the binary values with support for 32- or 64-bit integer values and the pointer for the Data property (when used).

## See also

TListItem.Data |  | Pointer to arbitrary Data associated with the list item.
TPersistent